@import 'variables.scss';

// Darkmode theme

.darkmode-ignore {
    display: block !important;
}

.darkmode-toggle {
    z-index: 99;
    right: 31px !important;
    bottom: 63px !important;

    .darkmode-moon-icon {
        content: url('data:image/svg+xml,%3Csvg%20fill%3D%22white%22%20height%3D%22800px%22%20width%3D%22800px%22%20version%3D%221.1%22%20id%3D%22Capa_1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20viewBox%3D%220%200%20207.628%20207.628%22%20xml%3Aspace%3D%22preserve%22%3E%3Ccircle%20cx%3D%22103.814%22%20cy%3D%22103.814%22%20r%3D%2245.868%22%2F%3E%3Cpath%20d%3D%22M103.814%2C157.183c-29.427%2C0-53.368-23.941-53.368-53.368s23.941-53.368%2C53.368-53.368s53.368%2C23.941%2C53.368%2C53.368S133.241%2C157.183%2C103.814%2C157.183z%20M103.814%2C65.446c-21.156%2C0-38.368%2C17.212-38.368%2C38.368s17.212%2C38.368%2C38.368%2C38.368s38.368-17.212%2C38.368-38.368S124.97%2C65.446%2C103.814%2C65.446z%22%2F%3E%3Cpath%20d%3D%22M103.814%2C39.385c-4.142%2C0-7.5-3.358-7.5-7.5V7.5c0-4.142%2C3.358-7.5%2C7.5-7.5s7.5%2C3.358%2C7.5%2C7.5v24.385C111.314%2C36.027%2C107.956%2C39.385%2C103.814%2C39.385z%22%2F%3E%3Cpath%20d%3D%22M103.814%2C207.628c-4.142%2C0-7.5-3.358-7.5-7.5v-24.385c0-4.142%2C3.358-7.5%2C7.5-7.5s7.5%2C3.358%2C7.5%2C7.5v24.385C111.314%2C204.271%2C107.956%2C207.628%2C103.814%2C207.628z%22%2F%3E%3Cpath%20d%3D%22M200.128%2C111.314h-24.385c-4.142%2C0-7.5-3.358-7.5-7.5s3.358-7.5%2C7.5-7.5h24.385c4.142%2C0%2C7.5%2C3.358%2C7.5%2C7.5S204.271%2C111.314%2C200.128%2C111.314z%22%2F%3E%3Cpath%20d%3D%22M31.885%2C111.314H7.5c-4.142%2C0-7.5-3.358-7.5-7.5s3.358-7.5%2C7.5-7.5h24.385c4.142%2C0%2C7.5%2C3.358%2C7.5%2C7.5S36.027%2C111.314%2C31.885%2C111.314z%22%2F%3E%3Cpath%20d%3D%22M154.676%2C60.452c-1.919%2C0-3.839-0.732-5.303-2.197c-2.929-2.929-2.929-7.678%2C0-10.606l17.243-17.242c2.929-2.929%2C7.678-2.93%2C10.606%2C0c2.929%2C2.929%2C2.929%2C7.678%2C0%2C10.606l-17.243%2C17.242C158.515%2C59.72%2C156.595%2C60.452%2C154.676%2C60.452z%22%2F%3E%3Cpath%20d%3D%22M35.709%2C179.419c-1.919%2C0-3.839-0.732-5.303-2.197c-2.929-2.929-2.929-7.678%2C0-10.606l17.243-17.243c2.929-2.929%2C7.678-2.929%2C10.606%2C0c2.929%2C2.929%2C2.929%2C7.678%2C0%2C10.606l-17.243%2C17.243C39.548%2C178.687%2C37.629%2C179.419%2C35.709%2C179.419z%22%2F%3E%3Cpath%20d%3D%22M171.918%2C179.419c-1.919%2C0-3.839-0.732-5.303-2.197l-17.243-17.243c-2.929-2.929-2.929-7.678%2C0-10.606c2.929-2.929%2C7.678-2.929%2C10.606%2C0l17.243%2C17.243c2.929%2C2.929%2C2.929%2C7.678%2C0%2C10.606C175.757%2C178.687%2C173.838%2C179.419%2C171.918%2C179.419z%22%2F%3E%3Cpath%20d%3D%22M52.952%2C60.452c-1.919%2C0-3.839-0.732-5.303-2.197L30.406%2C41.013c-2.929-2.929-2.929-7.677%2C0-10.606c2.929-2.929%2C7.678-2.93%2C10.606%2C0l17.243%2C17.242c2.929%2C2.929%2C2.929%2C7.677%2C0%2C10.606C56.791%2C59.72%2C54.872%2C60.452%2C52.952%2C60.452z%22%2F%3E%3C%2Fsvg%3E');
        width: 30px;
        height: 30px;
    }

    &.darkmode-toggle--white {

        .darkmode-moon-icon {
            content: url('data:image/svg+xml,%3Csvg%20style%3D%22fill%3A%20gray%3B%20%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20512%20512%22%3E%3Cpath%20d%3D%22M283.211%20512c78.962%200%20151.079-35.925%20198.857-94.792%207.068-8.708-.639-21.43-11.562-19.35-124.203%2023.654-238.262-71.576-238.262-196.954%200-72.222%2038.662-138.635%20101.498-174.394%209.686-5.512%207.25-20.197-3.756-22.23A258.156%20258.156%200%200%200%20283.211%200c-141.309%200-256%20114.511-256%20256%200%20141.309%20114.511%20256%20256%20256z%22%2F%3E%3C%2Fsvg%3E');
        }
    }

    @media (max-width: 575px) {
        right: 20px !important;
        bottom: 20px !important;
    }
}

.darkmode-layer--button {
    right: 32px !important;
    bottom: 64px !important;

    @media (max-width: 575px) {
        right: 20px !important;
        bottom: 20px !important;
    }
}

// Theme fonts

* {
    font-family: Inter, sans-serif;
    box-sizing: border-box;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5 {
    display: block;
    width: 100%;
}

h1, .h1 {
    color: $dark-50;
    text-transform: uppercase;
    letter-spacing: 0;
    @media (min-width: 1300px) {
        font-size: 66px;
        font-weight: 600;
        line-height: 70px;
    }
    @media (min-width: 768px) and (max-width: 1299px) {
        font-size: 28px;
        font-weight: 600;
        line-height: 32px;
    }
    @media (max-width: 767px) {
        font-size: 25px;
        font-weight: 700;
        line-height: 27px;
    }
}

h2, .h2 {
    color: $dark-50;
    text-transform: uppercase;
    font-size: 46px;
    font-weight: 600;
    line-height: 50px;
    letter-spacing: 0;
    @media (min-width: 768px) and (max-width: 1299px) {
        font-size: 22px;
        font-weight: 600;
        line-height: 26px;
    }
    @media (max-width: 767px) {
        font-size: 25px;
        font-weight: 700;
        line-height: 28px;
        letter-spacing: 0;
    }
}

h3, .h3 {
    font-size: 30px;
    font-weight: 500;
    line-height: 36px;
    letter-spacing: 0;
}

h4, .h4 {
    font-size: 20px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0;

    @media (max-width: 767px) {
        font-size: 18px;
        line-height: 20px;
    }
}

h5, .h5 {
    font-size: 17px;
    font-weight: 400;
    line-height: 21px;
    letter-spacing: 0;
}

a {
    color: $blue-400;
    text-decoration: none;
    transition: all $animation-time;

    &:hover {
        color: $orange-400;
        text-decoration: none;
        cursor: pointer;

        .arrow-right {
            margin-left: 20px;
            filter: hue-rotate(160deg);
        }
    }
}

strong {
    color: $gray-50;
}

.container {
    margin-right: auto;
    margin-left: auto;
    @media (min-width: 992px) {
        max-width: 1160px;
        padding-left: 25px;
        padding-right: 25px;
    }
    @media (min-width: 768px) and (max-width: 991px) {
        max-width: 688px;
        padding-left: 20px;
        padding-right: 20px;
    }
    @media (min-width: 576px) and (max-width: 767px) {
        max-width: 540px;
    }
    @media (max-width: 767px) {
        padding-left: 20px;
        padding-right: 20px;
    }

    &.fluid-mobile {
        @media (max-width: 991px) {
            max-width: 100%;
            overflow: hidden;
        }
    }
}

.block-h1 {
    margin-top: 100px;
    width: 100%;

    h1 {
        padding-bottom: 10px;
        border-bottom: 1px solid $dark-300;
    }

    .subtitle {
        margin-top: 15px;
        gap: 10px 0;
    }

    @media (max-width: 1299px) {
        margin-top: 85px;
    }

    @media (max-width: 767px) {
        margin-top: 65px;
    }
}

.card {
    position: relative;
    display: flex;
    flex-direction: column;
    word-wrap: break-word;
    background-clip: border-box;
    border: none;
    border-radius: 7px;
    background-color: $gray-300;
    color: $dark-50;
}

.table {
    width: 100% !important;
    border-collapse: collapse;
    font-size: 12px;

    &.hover {

        tbody tr:hover {
            background-color: $gray-200;
        }
    }

    &.clickable {

        tbody tr:hover {
            cursor: pointer;
        }
    }

    thead {
        background-color: $dark-850;
        color: $gray-400;

        th {
            padding: 10px 5px;
            white-space: nowrap;
            text-align: start;

            &:last-child {
                text-align: end;
            }

            &:nth-child(2) {
                text-align: start;
            }

            &.sorting {
                position: relative;
                padding-right: 14px;
                cursor: pointer;

                &::after, &::before {
                    position: absolute;
                    display: inline-block;
                    content: '';
                    background-image: url('/static/img/arrow-down.svg');
                    width: 14px;
                    height: 10px;
                    background-size: 100%;
                    right: 0;
                    opacity: .6;
                }

                &::before {
                    transform: scale(1, -1);
                    bottom: 40%;
                }

                &::after {
                    top: 40%;
                }

                &.sorting_asc {

                    &::before {
                        opacity: 1;
                    }
                }

                &.sorting_desc {

                    &::after {
                        opacity: 1;
                    }
                }
            }
        }
    }

    tbody, tfoot {

        tr {
            border-bottom: 1px solid $dark-300;

            &.inactive-row:hover {
                cursor: default;
            }

            td {
                padding: 4px;
                text-align: start;

                &:last-child {
                    text-align: end;
                }

                &:nth-child(2) {
                    text-align: start;
                }

                .no-wrap {
                    white-space: nowrap;
                }

                .overlap-lines {
                    display: -webkit-box;
                    -webkit-line-clamp: 2;
                    -webkit-box-orient: vertical;
                    overflow: hidden;

                    &.link {
                        color: $blue-400;
                    }
                }
            }
        }
    }

    &.dataTable {

        thead th {

            &:last-child {
                padding-right: 14px;
            }

            &.first-th {
                padding-left: 2px;
            }

            &.control {
                width: 0;
                padding: 0;
            }
        }

        tr td {
            height: 42px;

            &.antennas {
                display: flex;
                flex-direction: column;
                justify-content: center;
            }

            @media (max-width: 575px) {
                height: 38px;
            }

            &.details-control {
                width: 0;
                padding: 0;
            }

            &.first-td {
                padding-left: 2px;
            }
        }

        .dtr-hidden {
            display: revert !important;
        }
    }

    @media (max-width: 767px) {

        thead th:first-child, thead th.first-column, tbody tr td:first-child, tbody tr td.first-column, tfoot tr td:first-child, tfoot tr td.first-column {
            padding-left: 2px;
        }

        thead th:last-child, tbody tr td:last-child, tfoot tr td:last-child {
            padding-right: 2px;
        }
    }

    @media (max-width: 575px) {
        font-size: 10px;
    }
}

.under-table {
    margin-top: 10px;
    justify-content: space-between;
    gap: 10px 30px;

    .dataTables_paginate {
        margin-right: 0;
        margin-left: auto;
    }
}

.btn-back {
    margin-top: -20px;

    a {
        position: relative;
        padding-left: 16px;

        &::before, &::after {
            position: absolute;
            display: inline-block;
            content: '';
            background-image: url('/static/img/arrow-down.svg');
            width: 14px;
            height: 10px;
            background-size: 100%;
            left: 0;
            top: 4px;
            transform: rotate(90deg);
        }

        &::after {
            left: 4px;
        }
    }

    @media (max-width: 767px) {
        margin-top: -10px;
        font-size: 12px;

        a {
            padding-left: 14px;

            &::before, &::after {
                top: 3px;
            }
        }
    }
}

.color-blue {
    color: $blue-400;
}

.w-100 {
    width: 100%;
}

.d-flex {
    display: flex;
}

.dir-col {
    flex-direction: column;
}

.self-end {
    align-self: flex-end;
}

.row {
    display: flex;
    flex-wrap: wrap;
    box-sizing: border-box;
}

.col {
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
}

.col-4 {
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
}

.col-6 {
    flex: 0 0 50%;
    max-width: 50%;
}

.col-7 {
    flex: 0 0 58.333333%;
    max-width: 58.333333%;
}

.col-8 {
    flex: 0 0 66.666667%;
    max-width: 66.666667%;
}

.col-9 {
    flex: 0 0 75%;
    max-width: 75%;
}

.col-12 {
    flex: 0 0 100%;
    max-width: 100%;
}

@media (min-width: 768px) {

    .modal-md {
        max-width: 700px;
    }

    .col-md-6 {
        flex: 0 0 50%;
        max-width: 50%;
    }

    .col-md-8 {
        flex: 0 0 66.666667%;
        max-width: 66.666667%;
    }

    .col-md-10 {
        flex: 0 0 83.333333%;
        max-width: 83.333333%;
    }

    .col-md-12 {
        flex: 0 0 100%;
        max-width: 100%;
    }
}

@media (min-width: 992px) {

    .col-lg-3 {
        flex: 0 0 25%;
        max-width: 25%;
    }

    .col-lg-4 {
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
    }

    .col-lg-5 {
        flex: 0 0 41.666667%;
        max-width: 41.666667%;
    }

    .col-lg-6 {
        flex: 0 0 50%;
        max-width: 50%;
    }

    .col-lg-7 {
        flex: 0 0 58.333333%;
        max-width: 58.333333%;
    }

    .col-lg-8 {
        flex: 0 0 66.666667%;
        max-width: 66.666667%;
    }

    .pr-lg-2 {
        padding-left: 20px;
    }
}

@media (max-width: 575px) {

    .col-mb-6 {
        width: 50%;
    }

    .col-mb-12 {
        width: 100%;
    }
}

.align-items-center {
    align-items: center;
}

.justify-content-between {
    justify-content: space-between;
}

.justify-content-end {
    justify-content: end;
}

.justify-content-around {
    justify-content: space-around;
}

.circle {
    display: inline-block;
    width: 10px;
    height: 10px;
    border-radius: 10px;

    &.circle-blue {
        background-color: $blue-400;
    }

    &.circle-orange {
        background-color: $orange-400;
    }

    &.circle-red {
        background-color: $red-400;
    }

    &.circle-green {
        background-color: $green-400;
    }

    &.circle-gray {
        background-color: $gray;
    }
}

.d-none {
    display: none !important;
}

.hide {
    display: none !important;
}

.mapboxgl-control-container {
    display: none;
}

.highlighted-color {
    color: $gray-100;

    &:hover {
        color: $gray-100;
    }
}

.href-with-arrow {
    font-weight: 500;
    transition: all $animation-time-high;

    .arrow-right {
        margin-left: 10px;
    }

    &:hover {

        .arrow-right {
            margin-left: 20px;
        }
    }
}

.block-bigmap {
    background-position: center -100px;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 750px;
    padding-top: 15px;
    position: relative;

    .back-map {
        position: relative;
        width: 100%;
        height: 100%;
        top: 0;
        bottom: 0;
        border-radius: 5px;
    }

    .prev-shadow {
        position: absolute;
        top: 0;
        background: linear-gradient(180deg, $dark-400 0%, rgba(0, 0, 0, 0.1) 50%, $dark-400 100%);
        width: 100%;
        height: 100%;
    }

    .prev-map {
        position: fixed;
        z-index: 10;
        height: 100vh;

        .mapboxgl-control-container {
            display: block;
        }

        .mapboxgl-popup {

            &.mapboxgl-popup-anchor-left .mapboxgl-popup-tip {
                border-right-color: #070707bf;
            }

            &.mapboxgl-popup-anchor-right .mapboxgl-popup-tip {
                border-left-color: #070707bf;
            }

            &.mapboxgl-popup-anchor-bottom .mapboxgl-popup-tip {
                border-top-color: #070707bf;
            }

            &.mapboxgl-popup-anchor-top .mapboxgl-popup-tip {
                border-bottom-color: #070707bf;
            }

            .mapboxgl-popup-content {
                background: #070707bf;
                box-shadow: 0 0 5px $dark-300;
            }
        }
    }

    @media (max-width: 991px) {
        height: 600px;
    }
}

.block-table {
    margin-top: 15px;
    position: relative;

    .responsive-table {
        overflow-x: auto;
    }

    .wrapper {
        position: relative;

        .dt-buttons {

            .dropdown-toggle {
                padding-right: 22px;
                position: relative;

                &::after {
                    display: inline-block;
                    content: '';
                    background-image: url('/static/img/arrow-down-white.svg');
                    width: 16px;
                    height: 12px;
                    background-size: 100%;
                    background-position: center;
                    position: absolute;
                    top: 10px;
                    right: 4px;
                }

                &[aria-expanded='true'] {

                    &::after {
                        transform: scale(1, -1);
                    }
                }
            }

            .dropdown-menu {
                padding-top: 6px;
                position: absolute;
                z-index: 1;

                div[role='menu'] {
                    display: flex;
                    flex-direction: column;
                    background-color: $dark-300;
                    padding: 4px 0;
                    border-radius: 3px;

                    a {
                        padding: 2px 24px 2px 10px;
                        position: relative;

                        span {
                            color: $dark-50;
                        }

                        &:hover {
                            background-color: $dark-200;
                        }

                        &.dt-button-active {

                            &::after {
                                content: '';
                                position: absolute;
                                background-image: url('/static/img/check-icon.svg');
                                width: 14px;
                                height: 14px;
                                background-size: 60%;
                                background-position: center;
                                border: none;
                                background-repeat: no-repeat;
                                right: 5px;
                                top: 5px;
                            }
                        }
                    }
                }
            }
        }
    }

    table {
        font-size: 14px;
        line-height: 17px;
        min-width: 1000px;
    }

    &::after {
        content: '';
        position: absolute;
        width: 100%;
        height: 37px;
        background: $dark-850;
        left: 0;
        top: 0;
        z-index: -1;
    }

    +.paginator {
        margin-top: 15px;

        nav {
            justify-content: end;
        }
    }

    @media (max-width: 575px) {

        table {
            font-size: 12px;
            line-height: 15px;
        }

        &::after {
            height: 35px;
        }
    }
}

// Buttons

button {
    outline: none;
    box-shadow: none;
    border: 0;
}

.btn {
    display: inline-block;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    transition: all $animation-time;
    letter-spacing: 0;
    font-size: 18px;
    line-height: 22px;
    font-weight: 400;
    border-radius: 3px;

    &.btn-sm {
        font-size: 14px;
        line-height: 14px;
        padding: 6px 8px;
    }

    &.btn-small {
        font-size: 14px;
        line-height: 18px;
        padding: 6px 10px;
    }

    &.btn-xs {
        font-size: 20px;
        font-weight: 400;
        line-height: 25px;
        padding: 8px;
    }

    &.btn-big {
        width: 100%;
        font-size: 16px;
        font-weight: 600;
        line-height: 18px;
        padding: 8px 10px;
        border-radius: 5px;
    }

    &.btn-orange {
        background-color: $orange-400;
        color: $white;

        &:hover {
            background-color: $orange-300;
            color: $white;
        }
    }

    &.btn-blue {
        background-color: $blue-400;
        color: $white;

        &:hover {
            background-color: $blue-300;
            color: $white;
        }
    }

    &.btn-green {
        background-color: $green-400;
        color: $white;

        &:hover {
            background-color: $green-300;
            color: $white;
        }
    }

    &.btn-red {
        background-color: $red-400;
        color: $white;

        &:hover {
            background-color: $red-300;
            color: $white;
        }
    }

    &.btn-dark {
        background-color: $gray-350;
        color: $white;

        &:hover {
            background-color: $gray-300;
            color: $white;
        }
    }

    &.btn-gray {
        background-color: $gray-200;
        color: $white;

        &:hover {
            background-color: $gray-300;
            color: $white;
        }
    }

    &.btn-outline-gray {
        color: $gray-150;
        background-color: transparent;
        outline: 1px solid $gray-150;

        &:hover {
            color: $white;
            background-color: $gray-150;
        }
    }

    &.btn-outline-orange {
        color: $orange-400;
        background-color: transparent;
        outline: 1px solid $orange-400;

        &:hover {
            color: $blue-400;
            outline-color: $blue-400;
        }
    }

    &.btn-outline-blue {
        color: $blue-400;
        background-color: transparent;
        outline: 1px solid $blue-400;

        &:hover {
            color: $orange-400;
            outline-color: $orange-400;
        }
    }

    &.btn-outline-green {
        color: $green-400;
        background-color: transparent;
        outline: 1px solid $green-400;

        &:hover {
            opacity: .7;
        }
    }

    &.btn-outline-red {
        color: $red-400;
        background-color: transparent;
        outline: 1px solid $red-400;

        &:hover {
            opacity: .7;
        }
    }

    &.btn-outline-blue-fill {
        color: $blue-400;
        background-color: transparent;
        outline: 1px solid $blue-400;

        &:hover {
            background-color: $orange-400;
            color: $white;
            outline-color: $orange-400;
        }
    }

    &.btn-outline-orange-fill {
        color: $orange-400;
        background-color: transparent;
        outline: 1px solid $orange-400;

        &:hover {
            background-color: $blue-400;
            color: $white;
            outline-color: $blue-400;
        }
    }

    &.btn-without-border-red {
        color: $red-400;
        background-color: transparent;

        &:hover {
            color: $orange-400;
        }
    }

    &:disabled {
        cursor: default;
        opacity: .4;
        pointer-events: none;
    }

    &.inactive {
        opacity: .4;
    }

    @media (max-width: 767px) {

        &.btn-link {
            font-size: 17px;
            line-height: 18px;
        }
    }
}

.disabled {
    cursor: default;
    pointer-events: none;
    opacity: 0.7;

    &:hover {

        a {
            color: $blue-400;
            cursor: default;
        }
    }
}

label.btn {

    &.btn-sm {
        padding: 8px;
    }
}

.progress {
    display: flex;
    overflow: hidden;
    width: 100%;
    height: 16px;
    border-radius: 3px;
    line-height: 0;
    background-color: $gray-200;

    .progress-bar {
        display: flex;
        flex-direction: column;

        &.pb-green {
            background-color: $green-400;
        }

        &.pb-orange {
            background-color: $orange-400;
        }

        &.pb-red {
            background-color: $red-400;
        }

        &.pb-blue {
            background-color: $blue-400;
        }

        &.pb-gray {
            background-color: $gray;
        }
    }
}

.status-br {
    width: 100%;
    height: 5px;
    border-radius: 5px;

    &.status-success {
        background-color: $green-400;
    }

    &.status-unknown {
        background-color: $orange-400;
    }

    &.status-error {
        background-color: $red-400;
    }

    &.status-future {
        background-color: $blue-400;
    }

    &.status-failed {
        background-color: $gray-200;
    }
}

.badget {
    color: $white;
    white-space: nowrap;

    &.badget-big {
        padding: 4px 5px;
        border-radius: 6px;
    }

    &.badget-small {
        font-size: 10px;
        border-radius: 10px;
        padding: 1px 4px;
        line-height: 1;
        margin-left: -10px;
        bottom: -5px;
        position: relative;
    }

    &.badget-sm {
        padding: 2px 4px;
        border-radius: 3px;
    }

    &.top {
        top: -10px;
    }

    &.badget-blue, &.badget-online {
        background-color: $blue-400;
    }

    &.badget-orange, &.badget-testing {
        background-color: $orange-400;
    }

    &.badget-green {
        background-color: $green-400;
    }

    &.badget-red, &.badget-offline {
        background-color: $red-400;
    }

    &.badget-gray, &.badget-future {
        background-color: $gray-200;
    }

    @media (max-width: 575px) {

        &.badget-big {
            padding: 3px;
            border-radius: 5px;
        }
    }
}

.text-green {
    color: $green-400;
}

.text-orange {
    color: $orange-400;
}

.text-red {
    color: $red-400;
}

img.btn-copy {
    width: 22px;

    &:hover {
        cursor: pointer;
        filter: hue-rotate(160deg);
    }

    &:active {
        transform: scale(0.8);
    }
}

.stage-notice {
    text-align: center;
    background-color: yellow;
    color: $dark-900;
}

////////////////////////////////////////////////////////////// Json Viewer /////////////////////////////////////////////////////////////

json-viewer {
    font-size: 14px;
    padding: 1px 8px;
}

////////////////////////////////////////////////////////////// Tempus Dominus //////////////////////////////////////////////////////////

.tempus-dominus-widget.timepicker-sbs.show {
    @media (max-width: 575px) {
        width: 100%;

        .td-half {

            &.date-container {
                width: 70%;
            }

            &.time-container {
                width: 30%;
            }
        }
    }
}

////////////////////////////////////////////////////////////// Table filters ///////////////////////////////////////////////////////////

.tables-filtering {
    padding-top: 15px;
    transition: all $animation-time;

    .actions {
        justify-content: end;
        gap: 10px;
    }

    #show-all-filters {
        position: relative;
        padding-right: 25px;

        &::after {
            display: inline-block;
            content: '';
            background-image: url('/static/img/arrow-down.svg');
            width: 16px;
            height: 12px;
            background-size: 100%;
            background-position: center;
            position: absolute;
            top: 12px;
            right: 11px;
        }

        &.show {

            &::after {
                transform: rotate(180deg);
            }
        }
    }
}

.tables-filtering__form, .authorization-form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 15px 0;

    .row {
        gap: 10px;
    }

    .hide-row {
        display: none;
    }

    .checkbox-group {

        input[type='checkbox'] {
            display: none;
        }

        label:not(:first-child) {
            margin-left: 4px;
        }
    }

    .form-group {

        > label > div {
            margin-top: 5px;
        }

        min-width: calc(25% - 10px);
    }

    input, textarea {
        padding: 8px 10px;
        border-radius: 5px;
        background-color: transparent;
        border: 1px solid #38aeff80;
        color: $dark-50;
        outline: none;
        font-size: 14px;

        &[readonly='readonly'] {
            opacity: .7;
        }
    }

    .datetimepicker {
        display: flex;
        position: relative;
        align-items: center;
        max-height: 32.1px;

        input {
            flex-grow: 1;
        }

        span {
            position: absolute;
            right: 5px;
        }
    }

    .form-group input.input-mr {
        width: 100%;
        margin-top: 5px;
    }

    @media (max-width: 991px) {

        .form-group {
            min-width: 228px;
        }

        >.row {

            &:last-child {

                .col:not(:last-child).col:not(:first-child) {
                    display: none;
                }
            }
        }
    }
}

.dropdown.bootstrap-select.form-control {
    position: relative;
    border-radius: 5px;
    border: 1px solid #38aeff80;

    .dropdown-toggle {
        background-color: transparent;
        padding: 8px 10px;
        color: $dark-50;
        font-size: 14px;
        line-height: 1.15;

        &::after {
            display: inline-block;
            content: '';
            background-image: url('/static/img/arrow-down.svg');
            width: 16px;
            height: 12px;
            background-size: 100%;
            background-position: center;
        }
    }

    div.dropdown-menu {
        display: block;
        background-color: $dark-300;
        z-index: 10;
        padding: 5px 0;
        border-radius: 5px;
        min-width: 330px;
        width: 100%;
        max-height: 500px;

        &:not(.show) {
            display: none;
        }

        .bs-searchbox + div {
            padding-bottom: 15px;
        }

        ul {
            list-style: none;
            padding: 5px 0;

            li {
                padding: 2px 18px;

                &.active {
                    background-color: #38aeff80;
                }

                &.no-results {
                    padding: 5px 10px;
                    background-color: $gray-200;
                    color: $orange-400;
                }

                &.dropdown-divider {
                    padding: 0;
                    height: 1px;
                    background-color: #38aeff80;
                }

                &:not(.dropdown-header):hover {
                    background-color: $dark-200;
                }

                span {
                    width: 100%;
                    color: $dark-50;

                    &.text {
                        margin-right: 5px;
                    }
                }

                a {
                    display: block;
                }

                .dropdown-item.opt {
                    padding-left: 18px;
                }

                .selected .bs-ok-default {
                    position: absolute;
                    display: inline-block;
                    width: fit-content;
                    right: 0;
                    top: 4px;

                    &::after {
                        content: '';
                        background-image: url('/static/img/check-icon.svg');
                        width: 14px;
                        height: 14px;
                        background-size: 100%;
                        background-position: center;
                        border: none;
                        background-repeat: no-repeat;
                        transform: rotate(0);
                    }
                }
            }
        }

        @media (max-width: 575px) {
            min-width: 100%;
        }
    }
}

select {
    background-color: transparent;
    border-radius: 2px;
    border: 1px solid #38aeff80;
    color: unset;
}

.search_none_text {
    text-align: center;
    padding-top: 6px;
}

.paginator, .dataTables_paginate {
    margin-top: 30px;

    nav {
        display: flex;
    }

    .pagination {
        display: flex;
        align-items: end;
        list-style: none;
        padding: 0;
        margin: 0;
        gap: 5px;

        .page-item {
            padding: 0 5px;
        }

        .active {

            a {
                color: $orange-400;
                text-decoration: underline;
            }
        }
    }

    @media (max-width: 767px) {
        margin-top: 10px;

        >div {
            flex-wrap: wrap;
            gap: 10px 20px;
        }

        nav {
            flex-grow: 1;
            justify-content: center;
        }

        ul {
            width: 100%;
            justify-content: space-between;

            li:first-child {
                padding-left: 0;
            }

            li:last-child {
                padding-right: 0;
            }
        }
    }

    @media (max-width: 575px) {
        margin: 0;

        >div > div {
            flex-grow: 1;
        }
    }
}

.hidden-filters {

    &:not(.d-none) {
        animation: show .4s;
    }

    >.row:not(:first-child) {
        margin-top: 10px;
    }
}

@keyframes show {

    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

////////////////////////////////////////////////////////////// Modal ///////////////////////////////////////////////////////////////////

.modal-open {
    overflow: hidden;
}

.modal {
    overflow-x: hidden;
    overflow-y: auto;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    width: 100%;
    height: 100%;
    outline: 0;

    &.is-open::after {
        content: '';
        position: fixed;
        top: 0;
        left: 0;
        z-index: -1;
        width: 100vw;
        height: 100vh;
        background-color: #070707;
        opacity: .5;
    }
}

.modal.show {

    .modal-header {

        img {
            margin-right: 10px;
        }
    }

    .modal-body {

        ul {
            list-style: none;
            padding: 0;

            li {
                margin-top: 15px;

                display: flex;
                justify-content: start;
                align-items: center;
                width: 100%;
                gap: 15px;
            }
        }
    }
}

.modal-dialog {
    position: relative;
    width: auto;
    pointer-events: none;
    margin: 30px auto;

    @media (min-width: 576px) and (max-width: 767px) {
        margin: 25px auto;
        max-width: 500px;
    }

    @media (max-width: 575px) {
        margin: 30px 5px;
    }
}

.modal-content {
    pointer-events: auto;
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    border-radius: .3rem;
    background-color: $gray-300;
    color: $gray-400;

    hr {
        border-top: 1px solid $blue-400;
        border-width: none;
        border-bottom: none;
    }

    .card {
        color: $gray-400;
        background-color: transparent;

        .table {
            font-size: 14px;

            tr {
                border: none;
            }

            @media (max-width: 767px) {

                td {
                    padding: 3px 0;

                    &:last-child {
                        text-align: end;
                    }
                }
            }
        }

        #transmitters, .table-schedule {
            margin-top: 20px;

            .status-line, .schedule-title {
                border-top: 1px solid #fe5e22;
                padding: 15px 0;
                margin-bottom: 0;
                font-size: 16px;
                font-weight: 500;
                gap: 0 10px;
            }

            .transmitter {
                margin-bottom: 10px;

                .card-header {
                    background-color: $dark-400;
                    border-radius: 5px 5px 0 0;
                    padding: 10px 15px;
                    flex-wrap: nowrap;
                    white-space: nowrap;
                    justify-content: space-between;
                    gap: 4px 10px;

                    .transmitter-desc {
                        overflow-x: hidden;
                        text-overflow: ellipsis;
                    }

                    .transmitter-freq {
                        margin-right: 0;
                        margin-left: auto;
                        color: $dark-200;
                    }

                    .obs-all {
                        text-align: end;
                    }
                }

                .card-body {
                    padding: 15px;
                }
            }

            @media (max-width: 767px) {
                margin-top: 0;

                .transmitter .card-header {
                    flex-wrap: wrap;

                    .transmitter-desc {
                        width: 100%;
                    }

                    .transmitter-freq {
                        margin: 0;
                    }

                    .obs-all {
                        line-height: 14px;
                    }
                }

                .transmitter .card-body {
                    padding: 8px;
                }
            }
        }
    }
}

.modal-header {
    padding: 25px 30px;
    border-bottom: 1px solid $blue-400;
    display: flex;

    .bi:first-child:not(.bi-x) {
        margin-right: 15px;
        font-size: 18px;
        color: $blue-400;
    }

    .modal-title {
        margin: 0;
    }

    #modal-buttons {
        display: flex;
        justify-content: space-between;
        gap: 5px;
        max-width: 260px;
    }

    @media (max-width: 767px) {
        padding: 15px;

        #modal-buttons {
            flex-direction: column;
        }
    }
}

.modal-body {
    padding: 20px 30px;

    .card-title {
        text-align: center;
        margin-bottom: 10px;
    }

    .satellite-names {
        text-align: center;
    }

    @media (max-width: 767px) {
        padding: 15px;

        .card-title {
            margin-bottom: 0;
        }
    }
}

.modal-footer {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: end;
    padding: 20px 30px;
    border-top: 1px solid $blue-400;

    @media (max-width: 767px) {
        padding: 15px;
    }
}

.modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1040;
    width: 100vw;
    height: 100vh;
    background-color: $dark-900;
    opacity: .5;
}

.modal-img-full {
    width: 100%;
    max-width: 300px;
    border-radius: 5px;
    max-height: 300px;
    object-fit: contain;

    @media (max-width: 767px) {
        max-width: unset;
        max-height: 200px;
    }
}

////////////////////////////////////////////////////////////// Tooltip /////////////////////////////////////////////////////////////////

.tooltip {
    position: absolute;
    z-index: 1070;
    display: block;
    margin: 0;
    font-family: 'Source Sans Pro', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';
    font-style: normal;
    font-weight: 400;
    line-height: 1.5;
    text-align: left;
    text-align: start;
    text-decoration: none;
    text-shadow: none;
    text-transform: none;
    letter-spacing: normal;
    word-break: normal;
    word-spacing: normal;
    white-space: normal;
    line-break: auto;
    font-size: 0.875rem;
    word-wrap: break-word;
    opacity: 0;
}

.tooltip.show {
    opacity: 0.9;
}

.tooltip .arrow {
    position: absolute;
    display: block;
    width: 0.8rem;
    height: 0.4rem;
}

.tooltip .arrow::before {
    position: absolute;
    content: '';
    border-color: transparent;
    border-style: solid;
}

.bs-tooltip-top, .bs-tooltip-auto[x-placement^='top'] {
    padding: 0.4rem 0;
}

.bs-tooltip-top .arrow, .bs-tooltip-auto[x-placement^='top'] .arrow {
    bottom: 0;
}

.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^='top'] .arrow::before {
    top: 0;
    border-width: 0.4rem 0.4rem 0;
    border-top-color: $dark-800;
}

.bs-tooltip-right, .bs-tooltip-auto[x-placement^='right'] {
    padding: 0 0.4rem;
}

.bs-tooltip-right .arrow, .bs-tooltip-auto[x-placement^='right'] .arrow {
    left: 0;
    width: 0.4rem;
    height: 0.8rem;
}

.bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^='right'] .arrow::before {
    right: 0;
    border-width: 0.4rem 0.4rem 0.4rem 0;
    border-right-color: $dark-800;
}

.bs-tooltip-bottom, .bs-tooltip-auto[x-placement^='bottom'] {
    padding: 0.4rem 0;
}

.bs-tooltip-bottom .arrow, .bs-tooltip-auto[x-placement^='bottom'] .arrow {
    top: 0;
}

.bs-tooltip-bottom .arrow::before, .bs-tooltip-auto[x-placement^='bottom'] .arrow::before {
    bottom: 0;
    border-width: 0 0.4rem 0.4rem;
    border-bottom-color: $dark-800;
}

.bs-tooltip-left, .bs-tooltip-auto[x-placement^='left'] {
    padding: 0 0.4rem;
}

.bs-tooltip-left .arrow, .bs-tooltip-auto[x-placement^='left'] .arrow {
    right: 0;
    width: 0.4rem;
    height: 0.8rem;
}

.bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^='left'] .arrow::before {
    left: 0;
    border-width: 0.4rem 0 0.4rem 0.4rem;
    border-left-color: $dark-800;
}

.tooltip-inner {
    max-width: 220px !important;
    padding: 0.25rem 0.5rem;
    color: $white;
    text-align: center;
    background-color: $dark-800;
    border-radius: 0.25rem;
}

svg#polar, .polar_plot svg {

    circle[fill='red'] {
        fill: $red-400;
    }

    circle[fill='lightgreen'] {
        fill: $green-400;
    }
}

#alert-messages {
    width: fit-content;
    position: fixed;
    top: 60px;
    right: 10px;
    left: auto;
    z-index: 2;
    margin-left: 10px;

    >div {
        width: fit-content;
        flex-direction: column;
        align-items: end;
        gap: 4px;

        .alert {
            width: 100%;
            max-width: 500px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 4px 10px;
            border: 1px solid;
            border-radius: 5px;
            box-shadow: 0 0 5px 0 $gray-150;

            &.alert-error, &.alert-danger {
                border-color: $red-400;
                background-color: $red-500;
            }

            &.alert-warning {
                border-color: $orange-400;
                background-color: $orange-900;
            }

            &.alert-success {
                border-color: $green-400;
                background-color: $green-500;
            }

            &.disappear {
                animation: disappear 1s ease-in-out both;
                @keyframes disappear {

                    from {
                        opacity: 1;
                    }

                    to {
                        opacity: 0;
                    }
                }
            }
        }
    }
}

.loading-spinner {
    display: none;
    text-align: center;

    .spinner {
        text-align: center;

        div {
            width: 10px;
            height: 10px;
            background-color: #666;
            border-radius: 100%;
            display: inline-block;
            animation: sk-bouncedelay 1.4s infinite ease-in-out both;
        }

        .bounce1 {
            animation-delay: -0.32s;
        }

        .bounce2 {
            animation-delay: -0.16s;
        }

        @keyframes sk-bouncedelay {

            0%, 80%, 100% {
                transform: scale(0);
            }

            40% {
                transform: scale(1);
            }
        }
    }
}

////////////////////////////////////////////////////////////// Light Theme /////////////////////////////////////////////////////////////

.darkmode--activated {

    strong {
        color: $gray-200;
    }

    .block-h1 h1 {
        border-bottom-color: $dark-100;
    }

    .block-bigmap {

        .prev-shadow {
            background: linear-gradient(180deg, $dark-70 0%, rgba(0, 0, 0, 0.1) 50%, $dark-70 100%);
        }

        .prev-map .mapboxgl-popup {

            .mapboxgl-popup-tip {
                border-top-color: $white;
            }

            .mapboxgl-popup-content {
                background: $white;
            }
        }
    }

    .block-table {

        &::after {
            background: $gray;
        }
    }

    .card {
        background-color: $gray-50;
        color: $dark-400;
    }

    .table {

        thead {
            background-color: $gray;
            color: $gray-200;
        }

        tbody, tfoot {

            tr {
                border-bottom: 1px solid $gray-50;
            }
        }

        &.hover {

            tbody tr:hover {
                background-color: $gray-50;
            }
        }
    }

    .modal-content {
        background-color: $dark-50;
        color: $dark-300;

        .card {
            background-color: transparent;
            color: $dark-300;

            #transmitters .transmitter .card-header {
                background-color: $gray-50;
            }
        }
    }

    .progress {
        background-color: $gray-100;
    }

    .tables-filtering__form, .authorization-form {

        input[type='text'], input[type='number'], input[type='password'], input[type='email'], textarea {
            color: $dark-350;
        }
    }

    .bootstrap-select.form-control .dropdown-toggle {
        color: $dark-350;
    }

    .bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^='top'] .arrow::before {
        border-top-color: $dark-300;
    }

    .bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^='right'] .arrow::before {
        border-right-color: $dark-300;
    }

    .bs-tooltip-bottom .arrow::before, .bs-tooltip-auto[x-placement^='bottom'] .arrow::before {
        border-bottom-color: $dark-300;
    }

    .bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^='left'] .arrow::before {
        border-left-color: $dark-300;
    }

    .tooltip-inner {
        color: $white;
        background-color: $dark-300;
    }

    svg#polar, .polar_plot svg {

        .change_stroke {
            stroke: $gray-200;
        }

        .change_fill {
            fill: $gray-200;
        }
    }

    #alert-messages > div .alert {

        &.alert-error, &.alert-danger {
            background-color: $red-100;
        }

        &.alert-warning {
            background-color: $orange-100;
        }

        &.alert-success {
            background-color: $green-100;
        }
    }
}
